import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Navigation from './index';

class App extends React.Component {
  render() {
    return (
      <Page title='Navigation'>
        <Navigation />
        <CodeBlock
          value={`import { Navigation } from '@politico/interactive-style';

<Navigation />
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
