![](https://www.politico.com/interactives/cdn/images/badge.svg)

# @politico/interactive-style

Component library for base POLITICO interactive page stylings.


## Quick Start

Installation:

```
$ yarn add @politico/interactive-style
```

Import only what you need:
```javascript
import { Headline } from '@politico/interactive-style';
```

Use it in your component:
```javascript
import React from 'react';

const MyComponent = () => (
  <Headline />
);

export default MyComponent;
```


## Development

Clone Repo:
```
$ git clone https://github.com/The-Politico/politico-interactive-style
```

Install dependencies:
```
$ yarn
```

Start development server:
```
$ yarn start
```

Build assets:
```
$ yarn build
```
