const path = require('path');

module.exports = {
  resolve: {
    extensions: ['.js', '.jsx'],
    alias: {
      Common: path.resolve(process.cwd(), 'src/common/'),
      Components: path.resolve(process.cwd(), 'src/components/'),
      Constants: path.resolve(process.cwd(), 'src/constants/'),
      Theme: path.resolve(process.cwd(), 'src/theme/'),
    },
  },
};
