import React from 'react';
import classnames from 'classnames';
import styles from './styles.scss';

class Dek extends React.PureComponent {
  render() {
    if (!this.props.children) { return null; }
    return (
      <p {...this.props} className={classnames('dek', styles.styles)}>
        {this.props.children}
      </p>
    );
  }
}

Dek.defaultProps = {
  children: 'Short subhead',
};

export default Dek;
