import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Headline from './index';

class App extends React.Component {
  render() {
    return (
      <Page title='Headline'>
        <Headline />
        <CodeBlock
          value={`import { Headline } from '@politico/interactive-style';

<Headline>
  Your Headline Here
</Headline>
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
