import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Section from './index';

class App extends React.Component {
  render() {
    return (
      <Page title='Section'>
        <Section href='https://politico.com'>
          Your Section Here
        </Section>
        <CodeBlock
          value={`import { Section } from '@politico/interactive-style';

<Section href='https://politico.com'>
  Your Section Here
</Section>
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
